API referenceHealth
Health Trends Bulk
Last updated
Fetch compact 7d/30d daily uptime and latency trends for all subnets (computed live from D1).
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/health/trends"{ "data": { "observed_at": "2026-06-01T00:00:00.000Z", "schema_version": 1, "source": "live-cron-prober", "windows": { "example": { "days": 1, "granularity": "1d", "subnet_count": 1, "subnets": [ { "avg_latency_ms": 120, "latency_sample_count": 120, "netuid": 7, "points": [ { "avg_latency_ms": 120, "date": "2026-06-01", "latency_sample_count": 120, "samples": 1, "uptime_ratio": 0.9966 } ], "samples": 1, "uptime_ratio": 0.9966 } ] } } }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}